<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<f:switch expression="{data.layout}">
    <f:case value="1">
        <f:comment><!-- Background image with black font color --></f:comment>
        <f:if condition="{image -> f:count()} > 0">
            <f:then>
                <f:variable name="backgroundimage">background-image:url({f:uri.image(image: '{image.0}', absolute: '1')});</f:variable>
            </f:then>
            <f:else>
                <f:comment><!-- Fallback if no image was set --></f:comment>
                <f:variable name="additionalClass">has-gradient c-color--white</f:variable>
            </f:else>
        </f:if>
    </f:case>
    <f:case value="2">
        <f:comment><!-- Background image with white font color --></f:comment>
        <f:if condition="{image -> f:count()} > 0">
            <f:then>
                <f:variable name="backgroundimage">background-image:url({f:uri.image(image: '{image.0}', absolute: '1')});</f:variable>
                <f:variable name="additionalClass">c-color--white</f:variable>
            </f:then>
            <f:else>
                <f:comment><!-- Fallback if no image was set --></f:comment>
                <f:variable name="additionalClass">has-gradient c-color--white</f:variable>
            </f:else>
        </f:if>
    </f:case>
    <f:case value="3">
        <f:comment><!-- No background color/image --></f:comment>
        <f:variable name="additionalClass">o-teaser-about--plain</f:variable>
    </f:case>
    <f:defaultCase>
        <f:comment><!-- Gradient with white font color --></f:comment>
        <f:variable name="additionalClass">has-gradient c-color--white</f:variable>
    </f:defaultCase>
</f:switch>

<div class="o-teaser-about {additionalClass}" style="{backgroundimage}" id="c{data.uid}">
    <div class="o-teaser-about__container">
        <div class="o-teaser-about__inner">
            <div class="o-teaser-about__row">
                <div class="o-teaser-about__text">
                    <f:render section="Header" optional="true">
                        <f:render partial="Header/All" arguments="{_all}" />
                    </f:render>
                    {data.bodytext -> f:format.html()}
                </div>

                <f:if condition="{assets -> f:count()} > 0">
                    <f:comment><!-- Logos --></f:comment>
                    <div class="o-teaser-about__logos">
                        <f:for each="{assets}" as="logoItem">
                            <div class="o-teaser-about__logo-item">
                                <f:link.typolink parameter="{logoItem.link}">
                                    <picture>
                                        <f:image image="{logoItem}" maxWidth="{settings.logo.maxWidth}" />
                                    </picture>
                                </f:link.typolink>
                            </div>
                        </f:for>
                    </div>
                </f:if>
            </div>

            <f:if condition="{txT3ocesitepackageDomainModelContent -> f:count()} > 0">
                <f:comment><!-- Columns --></f:comment>
                <div class="o-teaser-about__grid">
                    <f:for each="{txT3ocesitepackageDomainModelContent}" as="contentItem">
                        <div class="o-teaser-about__item">
                            <f:if condition="{contentItem.data.header}">
                                <h3>{contentItem.data.header}</h3>
                            </f:if>
                            {contentItem.data.bodytext -> f:format.html()}
                            <f:if condition="{contentItem.data.link_title} && {contentItem.data.link_url}">
                                <p>
                                    <f:link.typolink parameter="{contentItem.data.link_url}" class="o-link--underlined">
                                        <span>{contentItem.data.link_title}</span>
                                    </f:link.typolink>
                                </p>
                            </f:if>
                        </div>
                    </f:for>
                </div>
            </f:if>

            <f:if condition="({assets -> f:count()} < 1) && ({data.tx_t3ocesitepackage_sectionlink_title} && {data.tx_t3ocesitepackage_sectionlink_url})">
                <f:comment><!-- Section link, only if no assets exists --></f:comment>
                <div class="o-teaser-about__btn">
                    <f:link.typolink parameter="{data.tx_t3ocesitepackage_sectionlink_url}" class="o-link o-link--btn">
                        <span>{data.tx_t3ocesitepackage_sectionlink_title}</span>
                    </f:link.typolink>
                </div>
            </f:if>
        </div>
    </div>
</div>

</html>
